summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-07 06:32:32 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-07 06:32:32 +0000
commit3f510e6c89c7265e45726b88bc2a15ef3eca6aed (patch)
treeff6e5928bc869174daa736e87ec6fa00cf5c1a5b /dev-python
parent929b0bf452f37197fa6031852aeb90fb5e5d45b3 (diff)
downloadbaldeagleos-repo-3f510e6c89c7265e45726b88bc2a15ef3eca6aed.tar.gz
baldeagleos-repo-3f510e6c89c7265e45726b88bc2a15ef3eca6aed.tar.xz
baldeagleos-repo-3f510e6c89c7265e45726b88bc2a15ef3eca6aed.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.28.42.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.31.42.ebuild68
-rw-r--r--dev-python/build/Manifest1
-rw-r--r--dev-python/build/build-1.0.3.ebuild56
-rw-r--r--dev-python/clang-python/Manifest1
-rw-r--r--dev-python/clang-python/clang-python-18.0.0_pre20230906.ebuild54
-rw-r--r--dev-python/dask/Manifest1
-rw-r--r--dev-python/dask/dask-2023.9.1.ebuild85
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.98.0.ebuild49
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-18.0.0_pre20230906.ebuild42
-rw-r--r--dev-python/numpy/Manifest1
-rw-r--r--dev-python/numpy/numpy-1.26.0_rc1.ebuild149
-rw-r--r--dev-python/pkgcraft/Manifest1
-rw-r--r--dev-python/pkgcraft/pkgcraft-0.0.6.ebuild81
-rw-r--r--dev-python/pkgcraft/pkgcraft-9999.ebuild21
-rw-r--r--dev-python/pyaml/Manifest1
-rw-r--r--dev-python/pyaml/pyaml-23.9.3.ebuild30
-rw-r--r--dev-python/pyelftools/Manifest1
-rw-r--r--dev-python/pyelftools/pyelftools-0.30.ebuild30
-rw-r--r--dev-python/tldextract/Manifest1
-rw-r--r--dev-python/tldextract/tldextract-3.5.0.ebuild35
-rw-r--r--dev-python/trio-websocket/Manifest1
-rw-r--r--dev-python/trio-websocket/trio-websocket-0.10.4.ebuild42
-rw-r--r--dev-python/zeroconf/Manifest1
-rw-r--r--dev-python/zeroconf/zeroconf-0.99.0.ebuild56
29 files changed, 871 insertions, 9 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 14eeb16656b0..276ed151b480 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.28.38.gh.tar.gz 694902 BLAKE2B 2f33b0e1015c3fa15d16c990f709a782ddc0
DIST boto3-1.28.39.gh.tar.gz 696213 BLAKE2B 2a71b9ca5416d6eb1fbd2b21c67c2eca95409acced1c67b8345355d61eece063f589c2cb81ee4c81fd2dda54e66268d8269a8bb2f251a6d95c51a18366b5d861 SHA512 cd62663568aabc87de3d0c669b7cf131072aa596d9a341a19a357d8a289458ebb1e18b6618ab454753d0d385b53d450aaf836b5fb1bf04d30b40b6b314308908
DIST boto3-1.28.40.gh.tar.gz 696495 BLAKE2B 297a32f989dc0c1bc8f0a5cd797c5f2d52ea9b83fc202b0889fdf89e7233693fe3a61972d30bf58f05e528f62c8ffaf24ea255c4ef1972b70b546c8c13b692b5 SHA512 2493d647a5a8c399fb3e3a4a9bbf64d242ba78263d33ac8e019036035522574ecc39a5fd0bcbddf2492aa3bd1401ac3c24f0ec92c6ac62cb2898a8fbeedd8651
DIST boto3-1.28.41.gh.tar.gz 697348 BLAKE2B 83ec56d2e2a4f9ebad061f1b7650425a074d53427f4c691c23d5d9746c14bf6c4326bdca17b13a13d70723dd8e62d2e9977452ab9664556cfa63a93043c9b832 SHA512 bdd62739f532919803cab3303d11cf5362fbca8f1b6045e53b584705b8dcce7eb0d17fd1fdac02ccd49386937f1d6edaadfca5b1b3ac02d42dfe629123e31ceb
+DIST boto3-1.28.42.gh.tar.gz 697860 BLAKE2B c5a4550a222a7ec7d2f09af1e06bfdbcac9251d5bb0dea089ce6a87fae2f62852cde76c0931755a2a343c4e8d38953a87e6ba32d377edfd7519b3ab9d0346962 SHA512 e63eb26f7498794578ebe9bd599b8c50b6c765cc87903dcee729d8a169d5768d5bffe56535afdde139db0db887882b306fdc45e54cbef322e4607cf6318fa1d5
diff --git a/dev-python/boto3/boto3-1.28.42.ebuild b/dev-python/boto3/boto3-1.28.42.ebuild
new file mode 100644
index 000000000000..e654679ffe12
--- /dev/null
+++ b/dev-python/boto3/boto3-1.28.42.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit} \
+ -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 2f9331af0044..722f87d41f2b 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.31.38.gh.tar.gz 11926426 BLAKE2B 1f668a23e52f3033f3b12e6dfeb086d
DIST botocore-1.31.39.gh.tar.gz 11927900 BLAKE2B 28b1fe5beea5b586b3bf6434ad3ab32b8f781ae79ddc39a142a53f5e87d136bcad4e1d1baaeee2afc4b09c3e4b02f583817d6471d09dd145b881fafdf71c73e1 SHA512 2dc271ace551ff4c9a25d6ed4c3a31dbdd90cb0f1c4088e1c71b220e20f4b7008fd41b2682c838c5e3fe911c35758a99502fe874c45c51092a83150a14d25edc
DIST botocore-1.31.40.gh.tar.gz 11933400 BLAKE2B c01958831fd477db79c7b723f799abfb2f02c85bf1ea67adc6ecb2bfba13b0f945e30e11a5d3103a3bd54f913c9386327127c5eaba792b6a42e8a4bfcc21d4f4 SHA512 7bbbb9bf9821bf6d24425de4694d1d0c871350b3fbb59488ff543c1569b41e669abfdc815840e1c912c3ade20e78a7fa8600f0d88ad220cee5bfc31b3138ed66
DIST botocore-1.31.41.gh.tar.gz 11935773 BLAKE2B 6bf4c1f7c3b3d9115c53f5cc833688097d0282eaacc868156fc9d29721e9d9cbf75e31d34ebba5c65b543be7bdccd6848de7cac5f8fb43d1fac63896b6e3f39e SHA512 add75b55a3c6941cd96100ca9ce846f616d638ce18bad658776acfc8b9ab9526da48069393a2ea54d24e93a25141ef2496837b04395956f82319f9a3d8fe5ad4
+DIST botocore-1.31.42.gh.tar.gz 11936544 BLAKE2B a1da9ec08885f84c458f621420560429fa4705bef5790c2ca7c39758c7caa407fb9ec415414c8c5e604f06cc52dc085f0061e4f926dad87c8cb25631ec9d64de SHA512 767903bce078f61780beeff0c1fa47f753c8eb4a0beacc78934a7d16dac27944f3ef20c4f9533b296bbb1edaefb1c5e244ccc3fb908d57273b733a062892d25f
diff --git a/dev-python/botocore/botocore-1.31.42.ebuild b/dev-python/botocore/botocore-1.31.42.ebuild
new file mode 100644
index 000000000000..10b7950a4ee2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.31.42.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit} -p xdist -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/build/Manifest b/dev-python/build/Manifest
index e3932713d8e8..cd529fc6411f 100644
--- a/dev-python/build/Manifest
+++ b/dev-python/build/Manifest
@@ -1,2 +1,3 @@
DIST build-0.10.0.gh.tar.gz 41509 BLAKE2B 0b1967af6fd0e47e8de5a6efcab879a37231b399965c4b52d9f952ed4fd64e9606b40f8e34ca18fb634ac5b42e3fa63995e6da292b10424f5ea0bd9fd49a46ca SHA512 e7ab783cc2b228e49c3dd15be7e25150924f26611994367b145cc2d43d7f89597c018cd4ca5cd8b31280d965421d314c80e4b97cf3e00f6cf73d80a3b081e7d1
DIST build-1.0.0.gh.tar.gz 43246 BLAKE2B c26c664cd627a0a070c71cb230b682526ff0f291a620edb402a797eb2baf4ab3e2d32f228241d4e495ee517b60873bb8a7086ea55e3270502a5cd3b650000a79 SHA512 4aac1e9c0402163ce50b4054d9b383cb86f20cda21e09c859ec106c7333a77bc01295371df438f3c04176799b9a57d0501ebf1a01461ad372ceef710120e08f1
+DIST build-1.0.3.gh.tar.gz 43412 BLAKE2B cb707b21582a1f7a5f649dcaf0fa7d30d253641a51c6af1284b17df46ad877af5280b5d1a07ce7eb90ef468d0f850e3e85dba1f24f7942c6ba432789760ae670 SHA512 c2c67ccf407bb1780c90e02bbc2692b8b10cfe441f445c05d38a675f3498d1d6f94306dcbe270c181e14471f1dd3712e2cba33a4792f6140e2e9f0aa3c8e7b81
diff --git a/dev-python/build/build-1.0.3.ebuild b/dev-python/build/build-1.0.3.ebuild
new file mode 100644
index 000000000000..dcbeb5389036
--- /dev/null
+++ b/dev-python/build/build-1.0.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="A simple, correct PEP517 package builder"
+HOMEPAGE="
+ https://pypi.org/project/build/
+ https://github.com/pypa/build/
+"
+SRC_URI="
+ https://github.com/pypa/build/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-19.0[${PYTHON_USEDEP}]
+ dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ >=dev-python/filelock-3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-rerunfailures-9.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-1.34[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-56.0.0[${PYTHON_USEDEP}]
+ >=dev-python/wheel-0.36.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # broken by the presence of flit_core
+ tests/test_util.py::test_wheel_metadata_isolation
+ # broken by the presence of virtualenv (it changes the error
+ # messages, sic!)
+ 'tests/test_main.py::test_output[via-sdist-isolation]'
+ 'tests/test_main.py::test_output[wheel-direct-isolation]'
+ )
+
+ epytest -m "not network" -p no:flaky \
+ -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index aa50ad835c53..f93f9da98f29 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -8,5 +8,6 @@ DIST llvm-project-17.0.0rc3.src.tar.xz 127805656 BLAKE2B ecaead9f227b8357a5dc5ff
DIST llvm-project-17.0.0rc3.src.tar.xz.sig 438 BLAKE2B 7b644cf501d17a6aef9b052e359ba06c1840a75e5263de46d938dbbdea07720b53d7ee6b5861ad641d0f7a7f75c6cc17717847b0ea9cf08873dbfacbe1c19074 SHA512 7059b1a90b7dd8cfa831f9e199a3a817358fd75d7c7d7e6de446d5443fce5831877a28e9b964ea238c1d803f9054bf4f53a97622d5f756f7f99aaa1c1a279f44
DIST llvm-project-17.0.0rc4.src.tar.xz 127838724 BLAKE2B e3bf524e55db5e4305099ecdff09c0d3eab7957a5f8729eefe636e361460f405fbfd569af38aa39eea3b6c1e024feaa0400f8bc092194f2c3b54c695e7962591 SHA512 be7b5ad136d03864dbd11a589ca9e8b0b04a4226ebcffcc123b3ba72992f704bab4f9550d03eb2ac1d21fb8b73ac7824398b4cb4c9cec2118efb112babfe0f65
DIST llvm-project-17.0.0rc4.src.tar.xz.sig 438 BLAKE2B 2cda35b4a3ebddfdbe6828459c8bd8fdfaa8e04d2d1c4f2faf16f5c66909186d2dd73e6a163cf733d8955c007249cf3f62f237855d5a76b1b61f3bfa30e4972d SHA512 5f713e05b7c58fab6e9cc43f2f3f69120482c9b60008146da0cddb266d1a5c9b9a77e1e338fce4e15624b332ac53a90c5c4a6f62c58a77f2122a015b4f0ebed2
+DIST llvm-project-7e5809e7e7bc9a828427b6540a51d45884d8bbbb.tar.gz 197275742 BLAKE2B 17df09155cf3451deffcdd71a4b0602211a4638ad961eb351802028f4fd1b8db870bef817430adb709ea7c1e85f545d7507c06d7fca26869f8a10e6ac6b03967 SHA512 e84aa041aadf3e50376cffd1e92c1447acdca0a2cf8e7df9cca9d0337dfeccb1d022da3a229bb0cfdc9c5fb87215682a1e4f474208b09b8800f30aa0c6e36c4b
DIST llvm-project-e3373c6c83d3855adb78f1952a3bf0398baf359e.tar.gz 196926975 BLAKE2B 9da1052db0a6ff81a8b76cbf9cb2ab7eed5c8798dc5ae6887a4694de8b151c7a1282cfff2da2e8440b1a67d3d12c33db319fbbe6062761b6d5369e6b335821ae SHA512 8bb6d49ddb824e932f7bad3c51e4a6c2227139aaf19c02e9deb15657919bc12ea41844d8fe045061814aefb9031d82b167c7c0c20bedaa09aaffe164a2109f7d
DIST llvm-project-f6259d9b9a546dbfa5bc2f29313c6edd6c701177.tar.gz 196957045 BLAKE2B c38b17f4e697c090b0b70385e45ca4ce97981746738e556154895d5b57cede90f6b8bdc5f41023bda6e942f07f572aa508cf0107fb81bee80a5ea9f13ac495fd SHA512 8394a42e1963618ed7f7cf7770acb72ae6bf84f3e2351218b5049ea2d76ff6ae768ad5588ffd1b2be1b5228a8fcb03663430814c409ceb9fa5735c891847f816
diff --git a/dev-python/clang-python/clang-python-18.0.0_pre20230906.ebuild b/dev-python/clang-python/clang-python-18.0.0_pre20230906.ebuild
new file mode 100644
index 000000000000..85658fd637a4
--- /dev/null
+++ b/dev-python/clang-python/clang-python-18.0.0_pre20230906.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ sys-devel/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/dask/Manifest b/dev-python/dask/Manifest
index fd94332b8eb4..5ab7f1aad5e0 100644
--- a/dev-python/dask/Manifest
+++ b/dev-python/dask/Manifest
@@ -1,3 +1,4 @@
DIST dask-2023.8.0.gh.tar.gz 8539262 BLAKE2B 3ce61191bca458e32ac88904460f8ee843f34ddc9be88d0de7f56a90897dd599d70012f92b5063b5df996bc61c85c16b2d6b745e1a334847d8b66f66721bc422 SHA512 9afee3571e58b0f923347e2ec06c80ab5e4f35abb23e0635777170def0561cf1df6c940844cad1efe112059909020cf6435147b9003c4a449eba98d38d9eefab
DIST dask-2023.8.1.gh.tar.gz 8541743 BLAKE2B 485a88354d3aa54ff1f6afb1bd4a8b3317a6a48b519bef4dadf1bcbb240f21e54eb165f2c076ea8aa9b5753fd8714af26453858d7fe154bb015489f89b8114be SHA512 4ca231236e5d868f8fbb69b38721e495a44fbc982a53ea087ef68085c4df2cc99526b5a66b7fee93a3b63a6cd621f8448b877b98370b3dfe1a32e386dd91e73e
DIST dask-2023.9.0.gh.tar.gz 8541973 BLAKE2B 06e04377f8f7d0e6a6487c1c2aa52e61a8ab73a04455e9a6d7da238bd747d7ac6cf1526f645f0c874f2588f28708139f8fb1fa0271e6166442be6a15ce68b9f1 SHA512 eadc3a9cd5d8d960d8006db2641e5513a093b4818c1cd4de058d70f088ef1cfd74413abcf0bbba757d9188de4b3c103a3fdfe4ce76f14554b589540011c53835
+DIST dask-2023.9.1.gh.tar.gz 8544717 BLAKE2B 786ca3bda6b356acdeb56070964aa25e136f9976322ae5dbaf5895eb181fc1b7582ae4731de12e7881287433d4f502dbbc5002840ebc443403a9fa76df438693 SHA512 1bf0a028059dfba70a131648f4884a6c9a091cd2d550dc7968cb2a8728ce5ef405c351f100001ab2ce48470634577104924fdf4b6dadda32308b4b5a62b3200e
diff --git a/dev-python/dask/dask-2023.9.1.ebuild b/dev-python/dask/dask-2023.9.1.ebuild
new file mode 100644
index 000000000000..e115a3b90562
--- /dev/null
+++ b/dev-python/dask/dask-2023.9.1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
+HOMEPAGE="
+ https://www.dask.org/
+ https://github.com/dask/dask/
+ https://pypi.org/project/dask/
+"
+SRC_URI="
+ https://github.com/dask/dask/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/click-8.0[${PYTHON_USEDEP}]
+ >=dev-python/cloudpickle-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-2021.9.0[${PYTHON_USEDEP}]
+ >=dev-python/importlib-metadata-4.13.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/partd-1.2.0[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/toolz-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/toolz[${PYTHON_USEDEP}]
+ >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+ test? (
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/numexpr[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # fails with sqlalchemy-2.0, even though we don't use it x_x
+ sed -i -e '/RemovedIn20Warning/d' pyproject.toml || die
+ sed -i -e 's:--cov-config=pyproject.toml::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # more tests relying on -Werror
+ "dask/array/tests/test_overlap.py::test_map_overlap_no_depth[None]"
+ dask/array/tests/test_random.py::test_RandomState_only_funcs
+ # TODO
+ dask/array/tests/test_reductions.py::test_mean_func_does_not_warn
+ dask/tests/test_config.py::test__get_paths
+ dask/array/tests/test_linalg.py::test_solve_assume_a
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>0-float-5-1-True]"
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>1-float-5-1-True]"
+ dask/array/tests/test_image.py::test_preprocess
+ dask/tests/test_system.py::test_cpu_count_cgroups_v2
+ # require sqlalchemy<2.0
+ dask/dataframe/io/tests/test_sql.py
+ )
+
+ if ! has_version -b "dev-python/pyarrow[parquet,${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ # fails if pyarrow is installed without USE=parquet
+ # (optional dep, skipped if it's not installed at all)
+ dask/dataframe/io/tests/test_parquet.py::test_pyarrow_filter_divisions
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_rerunfailures -m "not network"
+}
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index c82c8497866a..155550a2d8c2 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -1,3 +1,4 @@
DIST google-api-python-client-2.95.0.tar.gz 11044697 BLAKE2B 1a28798146d2f321f0455dd092430cefb6d15ddc3469ba0b5ee2aab6546c4c56477379e970ac4b0eeb1a969d53a5ea002206145c046bbfa89c1b6d65dad5a2d1 SHA512 3e8419d4de8e1604365b47bc13ebb69939f2c86bc46e1e08277a3766a23f03660c25ab9113a13b6abbfee2afb4f49678144bb11c4a423c4cf05c83717863183e
DIST google-api-python-client-2.96.0.tar.gz 11464696 BLAKE2B 5cec3b123ffe03f812909dd2f1aeb723ceacd657a5e3e796f358fde5c79fa274fb45a01a2857c9fbcb5431f00384792b1c3f721fafbf2c58e6732bb352539dc7 SHA512 94b59d38df431b1624192946f84229f100870c44eaa304f740dc1ff8973bf54f9c1bf59315aa826f122ec4b46c21507d4f2c5f691a18804e57d81379848346e8
DIST google-api-python-client-2.97.0.tar.gz 11493962 BLAKE2B 243ee33b169f13e311839a3c57a4922a7ef8c09be9ffb02520580bd11b894ffa1116479abd0942503627d958f4553bc1e921a20c9ab05a4cd1386f585ca286c5 SHA512 bdbe64c3186347f111138963e70411f13ba3a8fd342cac5e93d8415093404c8ade9f53b3d81c8fb6e876095eb0016dc4efc1de9e61df1e308d6d359a3578db96
+DIST google-api-python-client-2.98.0.tar.gz 11651975 BLAKE2B 11dbe1ef86243d948887490421926c951339714b79ae62746b2c0b016505cae6e62dad8102f93ea48031dd686f21ad353210e5ac9843ab39fe9bb1d87eac4580 SHA512 dbf2b2bf6ae8934f7d2c20369eecc0ee00d21d96615e064bacdf4999ebda4a58897b0cab463958bfa39404fe7c1b922168710ef30d5f37849a076c409e2d12e0
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.98.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.98.0.ebuild
new file mode 100644
index 000000000000..28a1f530e3c9
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.98.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ epytest tests
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index aa50ad835c53..f93f9da98f29 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -8,5 +8,6 @@ DIST llvm-project-17.0.0rc3.src.tar.xz 127805656 BLAKE2B ecaead9f227b8357a5dc5ff
DIST llvm-project-17.0.0rc3.src.tar.xz.sig 438 BLAKE2B 7b644cf501d17a6aef9b052e359ba06c1840a75e5263de46d938dbbdea07720b53d7ee6b5861ad641d0f7a7f75c6cc17717847b0ea9cf08873dbfacbe1c19074 SHA512 7059b1a90b7dd8cfa831f9e199a3a817358fd75d7c7d7e6de446d5443fce5831877a28e9b964ea238c1d803f9054bf4f53a97622d5f756f7f99aaa1c1a279f44
DIST llvm-project-17.0.0rc4.src.tar.xz 127838724 BLAKE2B e3bf524e55db5e4305099ecdff09c0d3eab7957a5f8729eefe636e361460f405fbfd569af38aa39eea3b6c1e024feaa0400f8bc092194f2c3b54c695e7962591 SHA512 be7b5ad136d03864dbd11a589ca9e8b0b04a4226ebcffcc123b3ba72992f704bab4f9550d03eb2ac1d21fb8b73ac7824398b4cb4c9cec2118efb112babfe0f65
DIST llvm-project-17.0.0rc4.src.tar.xz.sig 438 BLAKE2B 2cda35b4a3ebddfdbe6828459c8bd8fdfaa8e04d2d1c4f2faf16f5c66909186d2dd73e6a163cf733d8955c007249cf3f62f237855d5a76b1b61f3bfa30e4972d SHA512 5f713e05b7c58fab6e9cc43f2f3f69120482c9b60008146da0cddb266d1a5c9b9a77e1e338fce4e15624b332ac53a90c5c4a6f62c58a77f2122a015b4f0ebed2
+DIST llvm-project-7e5809e7e7bc9a828427b6540a51d45884d8bbbb.tar.gz 197275742 BLAKE2B 17df09155cf3451deffcdd71a4b0602211a4638ad961eb351802028f4fd1b8db870bef817430adb709ea7c1e85f545d7507c06d7fca26869f8a10e6ac6b03967 SHA512 e84aa041aadf3e50376cffd1e92c1447acdca0a2cf8e7df9cca9d0337dfeccb1d022da3a229bb0cfdc9c5fb87215682a1e4f474208b09b8800f30aa0c6e36c4b
DIST llvm-project-e3373c6c83d3855adb78f1952a3bf0398baf359e.tar.gz 196926975 BLAKE2B 9da1052db0a6ff81a8b76cbf9cb2ab7eed5c8798dc5ae6887a4694de8b151c7a1282cfff2da2e8440b1a67d3d12c33db319fbbe6062761b6d5369e6b335821ae SHA512 8bb6d49ddb824e932f7bad3c51e4a6c2227139aaf19c02e9deb15657919bc12ea41844d8fe045061814aefb9031d82b167c7c0c20bedaa09aaffe164a2109f7d
DIST llvm-project-f6259d9b9a546dbfa5bc2f29313c6edd6c701177.tar.gz 196957045 BLAKE2B c38b17f4e697c090b0b70385e45ca4ce97981746738e556154895d5b57cede90f6b8bdc5f41023bda6e942f07f572aa508cf0107fb81bee80a5ea9f13ac495fd SHA512 8394a42e1963618ed7f7cf7770acb72ae6bf84f3e2351218b5049ea2d76ff6ae768ad5588ffd1b2be1b5228a8fcb03663430814c409ceb9fa5735c891847f816
diff --git a/dev-python/lit/lit-18.0.0_pre20230906.ebuild b/dev-python/lit/lit-18.0.0_pre20230906.ebuild
new file mode 100644
index 000000000000..20dc4e100e96
--- /dev/null
+++ b/dev-python/lit/lit-18.0.0_pre20230906.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index 9fbca078a589..eb6e6d2a073d 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -5,3 +5,4 @@ DIST numpy-1.25.1.tar.gz 10428993 BLAKE2B ee3edaf5416ac858b995f0cb8df75962af0161
DIST numpy-1.25.2-patches.tar.xz 7212 BLAKE2B 718331b2d9f8380df239bf2ad9c24d79924e08797825d7c8655124a55e059790f96641633cdb42c597646764ca9efcaf277d5f5b75f042f533c28f2a81d5a5a8 SHA512 bcc0c55710b8d874e1dd9a57fad5698e09e3c96254922db32a8beeae9a5a54532cb0660d3ce43ca68e70fa7227bca9e0d12a0298aa6972ad2cbcecfe4aee3e85
DIST numpy-1.25.2.tar.gz 10805282 BLAKE2B f138eaf237f3e8052cafbe9fc98b4b62fb0748079df8599fc0950624c856294157410a2ec6fe381eaa8386b1530a39f7037ae1887c9fcfe2e77a3d7ad1ca0171 SHA512 6846d558c227329b6e700965ffa4c7886a7ca5f35234a56d734bc8201d19f7ac87d8ea081094bca13685130dce7bfb98ee4aa3a9dbd538288f10f1d9d82fb699
DIST numpy-1.26.0b1.tar.gz 15632046 BLAKE2B 72991e0a1a9b63ac9a3014b78348aa0bc512c2e22c3959d5466f92e2df8649aea56dd949e8954921fc29302f84e38748665597319fa9baa8154a85b34527e12f SHA512 c099a61ad58e142b29eac891b746c93425a337912df8da5e5a6b36c53f9069f56dd7ee0807b1773eca23a7e39b355e6c13d419cbdd36d35c2ab0a77cb14bb5b5
+DIST numpy-1.26.0rc1.tar.gz 15634820 BLAKE2B db9d9d6288681c1a49d612599c206c6f0964010222f24e0507e500cdb34a504b07202b561d14cd7b06c587668b2ad46c8bb72ecfe0e64a86cd3bbb498c9c2b5a SHA512 1c0e3009d2a45b0cf65aa95e317510a200e7cf9a5b985bed428ad1d65180b6df37cc3a597039335c5147cad23770e56e0bfef8ebb920b7e62c4b75664189a234
diff --git a/dev-python/numpy/numpy-1.26.0_rc1.ebuild b/dev-python/numpy/numpy-1.26.0_rc1.ebuild
new file mode 100644
index 000000000000..21aa6ca025c4
--- /dev/null
+++ b/dev-python/numpy/numpy-1.26.0_rc1.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 flag-o-matic fortran-2 multiprocessing pypi toolchain-funcs
+
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="
+ https://numpy.org/
+ https://github.com/numpy/numpy/
+ https://pypi.org/project/numpy/
+"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="lapack"
+if [[ ${PV} != *_[rab]* ]] ; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+RDEPEND="
+ lapack? (
+ >=virtual/cblas-3.8
+ >=virtual/lapack-3.8
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-util/meson-1.1.0
+ >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+ lapack? (
+ virtual/pkgconfig
+ )
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+ ' 'python*')
+ dev-python/charset-normalizer[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ append-flags -fno-strict-aliasing
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ DISTUTILS_ARGS=(
+ -Dblas=$(usev lapack cblas)
+ -Dlapack=$(usev lapack lapack)
+ # TODO: cpu-* options
+ )
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Very disk-and-memory-hungry
+ lib/tests/test_io.py::TestSaveTxt::test_large_zip
+ lib/tests/test_io.py::TestSavezLoad::test_closing_fid
+ lib/tests/test_io.py::TestSavezLoad::test_closing_zipfile_after_load
+
+ # Precision problems
+ core/tests/test_umath_accuracy.py::TestAccuracy::test_validate_transcendentals
+
+ # Runs the whole test suite recursively, that's just crazy
+ core/tests/test_mem_policy.py::test_new_policy
+
+ typing/tests/test_typing.py
+ # Uses huge amount of memory
+ core/tests/test_mem_overlap.py
+
+ # TODO: crashes
+ lib/tests/test_histograms.py::TestHistogram::test_big_arrays
+ )
+
+ if use arm && [[ $(uname -m || echo "unknown") == "armv8l" ]] ; then
+ # Degenerate case of arm32 chroot on arm64, bug #774108
+ EPYTEST_DESELECT+=(
+ core/tests/test_cpu_features.py::Test_ARM_Features::test_features
+ )
+ fi
+
+ if use x86 ; then
+ EPYTEST_DESELECT+=(
+ # https://github.com/numpy/numpy/issues/18388
+ core/tests/test_umath.py::TestRemainder::test_float_remainder_overflow
+ # https://github.com/numpy/numpy/issues/18387
+ random/tests/test_generator_mt19937.py::TestRandomDist::test_pareto
+ # more precision problems
+ core/tests/test_einsum.py::TestEinsum::test_einsum_sums_int16
+ )
+ fi
+
+ if use hppa ; then
+ EPYTEST_DESELECT+=(
+ # TODO: Get selectedrealkind updated!
+ # bug #907228
+ # https://github.com/numpy/numpy/issues/3424 (https://github.com/numpy/numpy/issues/3424#issuecomment-412369029)
+ # https://github.com/numpy/numpy/pull/21785
+ f2py/tests/test_kind.py::TestKind::test_real
+ f2py/tests/test_kind.py::TestKind::test_quad_precision
+ )
+ fi
+
+ if [[ $(tc-endian) == "big" ]] ; then
+ # https://github.com/numpy/numpy/issues/11831 and bug #707116
+ EPYTEST_DESELECT+=(
+ 'f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[s1]'
+ 'f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[t1]'
+ 'f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[s1]'
+ 'f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[t1]'
+ f2py/tests/test_kind.py::TestKind::test_int
+ )
+ fi
+
+ case "${ABI}" in
+ alpha|arm|hppa|m68k|o32|ppc|s390|sh|sparc|x86)
+ EPYTEST_DESELECT+=(
+ # too large for 32-bit platforms
+ core/tests/test_ufunc.py::TestUfunc::test_identityless_reduction_huge_array
+ 'core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ 'core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ )
+ ;;
+ *)
+ ;;
+ esac
+
+ rm -rf numpy || die
+ epytest -n "$(makeopts_jobs)" --pyargs numpy
+}
+
+python_install_all() {
+ local DOCS=( LICENSE.txt README.md THANKS.txt )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pkgcraft/Manifest b/dev-python/pkgcraft/Manifest
index 682de2ec73a3..a9eb28b65b2d 100644
--- a/dev-python/pkgcraft/Manifest
+++ b/dev-python/pkgcraft/Manifest
@@ -1 +1,2 @@
DIST pkgcraft-0.0.5.tar.gz 400237 BLAKE2B de78c1570ce8080742d3afbff2c9078b56fb14e7b097bd09b47c5b21a5de1062989835c9c12e4efd9d4be4aef7e9dec1350606700d80c5482cf81d1d2c4febc0 SHA512 2366180189314cafa4be8a180eed62a8c994bfd862ebc5292e01d9cd2585b9eca082535e405924ad758d6f89309c5e64727242a52f95f6e71aa6aff3495edd57
+DIST pkgcraft-0.0.6.tar.gz 406538 BLAKE2B 5c90b57cb11e9f754cd695989994b3a9be52007482981c997f2e361fbbb72aeb0810d7f41dea1cdcd74c47840bb1c3b2cf225c967ba76b01769da93f909d9911 SHA512 ddd7bf77a3509156e8c16e5aeeb94a5f4530d9d1a3e6617d3974adfae7b46f0b0d31f4828dbd70261b42c883e776bf7572ca2fe8e23c9216637d886b9d8811cc
diff --git a/dev-python/pkgcraft/pkgcraft-0.0.6.ebuild b/dev-python/pkgcraft/pkgcraft-0.0.6.ebuild
new file mode 100644
index 000000000000..57b58c3cfa97
--- /dev/null
+++ b/dev-python/pkgcraft/pkgcraft-0.0.6.ebuild
@@ -0,0 +1,81 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for pkgcraft"
+HOMEPAGE="
+ https://pypi.org/project/pkgcraft/
+ https://github.com/pkgcraft/pkgcraft-python/
+"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/pkgcraft/pkgcraft-python.git"
+ inherit git-r3
+
+ PKGCRAFT_VERSION_MAX="9999"
+ PKGCRAFT_VERSION_MIN="9999"
+else
+ SRC_URI="https://github.com/pkgcraft/pkgcraft-python/releases/download/v${PV}/${P/-python}.tar.gz"
+ S="${WORKDIR}"/${P/-python}
+
+ KEYWORDS="~amd64 ~arm64"
+
+ PKGCRAFT_VERSION_MAX="9999"
+ PKGCRAFT_VERSION_MIN="0.0.11"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+examples"
+
+DEPEND="
+ <sys-libs/pkgcraft-${PKGCRAFT_VERSION_MAX}
+ >=sys-libs/pkgcraft-${PKGCRAFT_VERSION_MIN}:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ if [[ ${PV} != 9999 ]] ; then
+ local actual_pkgcraft_min=$(sed -En '/^MIN_VERSION =/{s/[^0-9.]//gp}' setup.py || die)
+ if [[ ${actual_pkgcraft_min} != ${PKGCRAFT_VERSION_MIN} ]] ; then
+ eerror "Expected minimum pkgcraft-c version: ${PKGCRAFT_VERSION_MIN}"
+ eerror "Actual minimum pkgcraft-c version: ${actual_pkgcraft_min}"
+ die "Mismatch between setup.py's MIN_VERSION and ebuild!"
+ fi
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install() {
+ # Conditional because these aren't installed officially right now
+ # and the naming is just for convenience.
+ if use examples ; then
+ while IFS= read -r -d '' file ; do
+ python_newexe "${S}"/examples/${file##*/} pkgcraft-${file##*/}
+ done < <(find "${S}"/examples -type f -executable -print0 || die)
+ fi
+
+ distutils-r1_python_install
+}
diff --git a/dev-python/pkgcraft/pkgcraft-9999.ebuild b/dev-python/pkgcraft/pkgcraft-9999.ebuild
index e2fdc2a4b234..57b58c3cfa97 100644
--- a/dev-python/pkgcraft/pkgcraft-9999.ebuild
+++ b/dev-python/pkgcraft/pkgcraft-9999.ebuild
@@ -3,6 +3,7 @@
EAPI=8
+DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8,9,10,11} )
@@ -11,37 +12,39 @@ inherit distutils-r1
DESCRIPTION="Python bindings for pkgcraft"
HOMEPAGE="
https://pypi.org/project/pkgcraft/
- https://github.com/pkgcraft/pkgcraft-python
+ https://github.com/pkgcraft/pkgcraft-python/
"
if [[ ${PV} == 9999 ]] ; then
- EGIT_REPO_URI="https://github.com/pkgcraft/pkgcraft-python"
+ EGIT_REPO_URI="https://github.com/pkgcraft/pkgcraft-python.git"
inherit git-r3
- PKGCRAFT_VERSION_MAX="99999"
+ PKGCRAFT_VERSION_MAX="9999"
PKGCRAFT_VERSION_MIN="9999"
else
SRC_URI="https://github.com/pkgcraft/pkgcraft-python/releases/download/v${PV}/${P/-python}.tar.gz"
S="${WORKDIR}"/${P/-python}
- KEYWORDS="~amd64"
+ KEYWORDS="~amd64 ~arm64"
PKGCRAFT_VERSION_MAX="9999"
- PKGCRAFT_VERSION_MIN="0.0.6"
+ PKGCRAFT_VERSION_MIN="0.0.11"
fi
LICENSE="MIT"
SLOT="0"
IUSE="+examples"
-RDEPEND="
+DEPEND="
<sys-libs/pkgcraft-${PKGCRAFT_VERSION_MAX}
>=sys-libs/pkgcraft-${PKGCRAFT_VERSION_MIN}:=
"
-DEPEND="${RDEPEND}"
+RDEPEND="
+ ${DEPEND}
+"
BDEPEND="
- >=dev-python/cython-3.0.0_beta1
- dev-python/setuptools-scm
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
virtual/pkgconfig
"
diff --git a/dev-python/pyaml/Manifest b/dev-python/pyaml/Manifest
index f993170c5e64..cc47721c57aa 100644
--- a/dev-python/pyaml/Manifest
+++ b/dev-python/pyaml/Manifest
@@ -1,3 +1,4 @@
DIST pyaml-23.7.0.tar.gz 20805 BLAKE2B 797b2b5d2121f3b0f67445d4b3a55b13d0716d5eddd5dc83a08b767d293b486e9985203f4e2571a7c8d3010b9cac9093e9353517f6414cd5b89cdcfe5d39c85a SHA512 edbe58a3a7f1216a2463ac56af829c38b12b7194429691a92cb7f28ca926094e324d6e44d3fb64be40239dc8a6dc61d72946b107f5210ca83e73dec18b1428ef
DIST pyaml-23.9.1.tar.gz 21479 BLAKE2B dd684dd290cb3666ff823782d5252fea663ebd8801112765a1c4d18e1020072235a61f9d04df77da07bfb53074b1f3ed6a3a69776282c601768d14e79bb2ce41 SHA512 697ec54818d1c9117af768b2dd9e9269d78cf64416ea35673bee6b874f7b712be95467cdab73552c7105c38be73edb0a9a91fa924b191def7e39ed86b0eb8fd9
DIST pyaml-23.9.2.tar.gz 21955 BLAKE2B f397a88c89be6b7caa3752209ad3d0755882e3c638e94af53e57907bdcfb8ef31b34890f8942f7b482d1b7d8945644e8f86137e4c0d78fafce32a35833ce0095 SHA512 70f5bb9b883649d1051a39ba5e9aef262534571a92719612acd7f7ce98dd02317a31a78f75e3fd0db38f4448880dde13a03d5f667b02d381dfce31afef32c2a4
+DIST pyaml-23.9.3.tar.gz 24312 BLAKE2B 8b44aa6d515618d96a6272a03eb4df78bdea1e5cb71e4d13db1016cabf7c867f6c781da948297bc9f5718b3a06a7b5175eec54d416b8d352f5e23558048f961c SHA512 99171a227e3de2f8bb72148d1e1d526747575006bd812e162e2e8d176a7856c4033dfcef6da86f65a4a80a5f5298470b8de40af412cd01acb89ed8694ce97520
diff --git a/dev-python/pyaml/pyaml-23.9.3.ebuild b/dev-python/pyaml/pyaml-23.9.3.ebuild
new file mode 100644
index 000000000000..28745c670d67
--- /dev/null
+++ b/dev-python/pyaml/pyaml-23.9.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PyYAML-based module to produce pretty and readable YAML-serialized data"
+HOMEPAGE="
+ https://github.com/mk-fg/pretty-yaml/
+ https://pypi.org/project/pyaml/
+"
+
+LICENSE="WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/unidecode[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/pyelftools/Manifest b/dev-python/pyelftools/Manifest
index 693998d18175..d0dada90443f 100644
--- a/dev-python/pyelftools/Manifest
+++ b/dev-python/pyelftools/Manifest
@@ -1 +1,2 @@
DIST pyelftools-0.29.gh.tar.gz 14176561 BLAKE2B 441260492f8cd512445249700a79f1d823ef96f6213ab9183e17160b76efe51493c28d2ae8ecea79acf45e78987b4c24940441e9bc0a3deaeda0ee4fb72b58c3 SHA512 0eba3b029a734abe9f8df92cd58bc967f10bf9f61c3a419bdbc5e637200844dddd947bcb485e8ebbe2eeaa7f7e91efc6500316af51aace1db051a658cf61153e
+DIST pyelftools-0.30.gh.tar.gz 14115024 BLAKE2B b7974bc1a51ff5ba6ced17aac44e3911ff8d892564a3bef07ae6a5fc261eb7d2eb02170678c4d0bafedaa9e393fa4ca6d2059c420436ea73aa4f6aa7b49a894e SHA512 5bd4c797f90307e351d541b8de8f76124c66e497b68b811f7012e1271c902beb6ab530a424b338777d12277d44f9b5f89f049e05d9fc2ec36a90b6fa16f1c1a4
diff --git a/dev-python/pyelftools/pyelftools-0.30.ebuild b/dev-python/pyelftools/pyelftools-0.30.ebuild
new file mode 100644
index 000000000000..645b7d401460
--- /dev/null
+++ b/dev-python/pyelftools/pyelftools-0.30.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="pure-Python library for analyzing ELF files and DWARF debugging information"
+HOMEPAGE="
+ https://pypi.org/project/pyelftools/
+ https://github.com/eliben/pyelftools/
+"
+# PyPI tarball lacks some test files
+SRC_URI="
+ https://github.com/eliben/pyelftools/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+python_test() {
+ # readelf_tests often fails due to host `readelf` changing output format
+ "${EPYTHON}" test/run_all_unittests.py || die
+ "${EPYTHON}" test/run_examples_test.py || die
+}
diff --git a/dev-python/tldextract/Manifest b/dev-python/tldextract/Manifest
index 5e3dc02c4fc9..af813ed833e4 100644
--- a/dev-python/tldextract/Manifest
+++ b/dev-python/tldextract/Manifest
@@ -1 +1,2 @@
DIST tldextract-3.4.4.tar.gz 105688 BLAKE2B 070fdde3f71b09a9f5409f7a9a0eb8a0a0855ffca4fbf1926146d21de11af4ed893d796932384df7b1713a52f10c7b367ba7f154d15fd7da2c72a71993c4454d SHA512 f6b4a7ed984c95e66838cda951058281e5e05bde74d02c6e5a6cd0345dc99703179303123905a095a46afe4c05dacb94a09677b6aa4cbf018df22e7bc2809a40
+DIST tldextract-3.5.0.tar.gz 109922 BLAKE2B 5ffac02db8b32150988a8958dd3c038c54c141af1b3642de126c4f8eeb95cbf1ee38e898512f3abd1ff20e4c17cb85ece7b53dd4e36a2c063777c076af083310 SHA512 95ad41f2957f5bada03706930d89add7c86361547303170c155d2fe60916d7052d4b19ba67a32ec35da58ab5ff7153de6085e5fa0898cb4a9dd5ef47710d983b
diff --git a/dev-python/tldextract/tldextract-3.5.0.ebuild b/dev-python/tldextract/tldextract-3.5.0.ebuild
new file mode 100644
index 000000000000..1c647991c711
--- /dev/null
+++ b/dev-python/tldextract/tldextract-3.5.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Accurately separate the TLD from the registered domain and subdomains of a URL"
+HOMEPAGE="
+ https://github.com/john-kurkowski/tldextract/
+ https://pypi.org/project/tldextract/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/filelock-3.0.8[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-file-1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/trio-websocket/Manifest b/dev-python/trio-websocket/Manifest
index c9354e19506c..202e44e0aea2 100644
--- a/dev-python/trio-websocket/Manifest
+++ b/dev-python/trio-websocket/Manifest
@@ -1 +1,2 @@
DIST trio-websocket-0.10.3.gh.tar.gz 45109 BLAKE2B 7adad8bd59b2350d7b8e50e88710c8b9844e8b34c712615e058a6045d575671043c527ac4330941431502affc7c307d61c1f9c1b328c579a622ff11ea79fbeb6 SHA512 8ff50030c9616ea8baa9627f229304fbb72528fcc97d1e5ead90acc3c7d683751c0d98e9c4f779d4d65fc765b00b6ec93b6d3384070a76fe18d3318af7afa975
+DIST trio-websocket-0.10.4.gh.tar.gz 45490 BLAKE2B d681cc3ec9537e3c3e943831405d45a226fe61aa2482d9c9944520d5a3ecc2bbe974e63e666a5117f6bcfca2240a4b1c22a3304e6bb15fc502154df22fdbde44 SHA512 30b6655120a0117cda9707b793bd8a00fe0e8a578450c7fcc8fba2bb505aaf898aee355cec5e1faf13ff7da791a793816c675c01ac0d7047dc0ac6734508fc6c
diff --git a/dev-python/trio-websocket/trio-websocket-0.10.4.ebuild b/dev-python/trio-websocket/trio-websocket-0.10.4.ebuild
new file mode 100644
index 000000000000..ae490fa9529e
--- /dev/null
+++ b/dev-python/trio-websocket/trio-websocket-0.10.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="WebSocket client and server implementation for Python Trio"
+HOMEPAGE="
+ https://github.com/python-trio/trio-websocket/
+ https://pypi.org/project/trio-websocket/
+"
+SRC_URI="
+ https://github.com/python-trio/trio-websocket/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/exceptiongroup[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.11[${PYTHON_USEDEP}]
+ >=dev-python/wsproto-0.14[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/pytest-trio-0.5.0[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p trio
+}
diff --git a/dev-python/zeroconf/Manifest b/dev-python/zeroconf/Manifest
index 4b59062fae6e..c0a68bf9a4ca 100644
--- a/dev-python/zeroconf/Manifest
+++ b/dev-python/zeroconf/Manifest
@@ -6,3 +6,4 @@ DIST zeroconf-0.90.0.tar.gz 150318 BLAKE2B 5239571a4b65f736a799b285d11221636a26d
DIST zeroconf-0.91.1.tar.gz 150551 BLAKE2B 220e6b5684d503c7d1c594196ffa7ecc4f06975accad2ad64a6dd0a75881326110bbf897e74a2a176307fc392fc9fce903c77bbf9fc70fec84f193072bd7a016 SHA512 852946a2f823de1dc25dda5321ec23c67e3893fd8dcf55391e001afb01eb4c8143813aaa0950fddbea6634975eb0904a6e3b500cbe082e843da301c0cd704e9a
DIST zeroconf-0.93.1.tar.gz 151476 BLAKE2B 46a866c6d8268c4688b33c1da04a6a31ef3556fb9264df2e85b038ae832cfdc7567139bff01c9324a4087b449b2dd5ba9688eccfaa0892af49f5cab3ad735600 SHA512 ee5f8aac916f05fc6518e76eb4ee40dd0df507cde1a5f25edfb15ded6ac36d2026283d6160ec7b71ee0344648e181e06ebf0559345ac4b2078f5d9cbf1a83eea
DIST zeroconf-0.97.0.tar.gz 152115 BLAKE2B 53b514ca3e42c75bf449255db0494de66bdbec74495fec45fd26185ec27d255de0745644b03650cec7a0acba3440075c52058b1a862048fa58587ed5d45907fa SHA512 4a67335e42ffd60236d61fce77b36f747ee71038066e65e2d72e7be3ffa6bf075120b657067aadda89a814dc354a7e26a48627df55782869caa9d95e0956d361
+DIST zeroconf-0.99.0.tar.gz 152347 BLAKE2B 4be99604737d1dc630c949a4afaac2c61132ffac830eea5976018502e5ac8702e67f2e302e0996e1a10aa4db407610dca61928ac07e8e53d110167e6057d7bb4 SHA512 8016ca617df6a78bc8a8f9f49011e3ae2571d5a60b87d126b60b7ee7e2cb07abe7477d27f33959978a43c79de5db42aee32fd63be9985a51f939fddf99aee37c
diff --git a/dev-python/zeroconf/zeroconf-0.99.0.ebuild b/dev-python/zeroconf/zeroconf-0.99.0.ebuild
new file mode 100644
index 000000000000..3df0828376ec
--- /dev/null
+++ b/dev-python/zeroconf/zeroconf-0.99.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)"
+HOMEPAGE="
+ https://github.com/python-zeroconf/python-zeroconf/
+ https://pypi.org/project/zeroconf/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/async-timeout-3.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# the build system uses custom build script that uses distutils to build
+# C extensions, sigh
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.6.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+python_test() {
+ local -x SKIP_IPV6=1
+ local EPYTEST_DESELECT=(
+ # network
+ tests/test_core.py::Framework::test_close_multiple_times
+ tests/test_core.py::Framework::test_launch_and_close
+ tests/test_core.py::Framework::test_launch_and_close_context_manager
+
+ # fragile to timeouts (?)
+ tests/services/test_browser.py::test_service_browser_expire_callbacks
+ tests/utils/test_asyncio.py::test_run_coro_with_timeout
+ )
+
+ epytest -o addopts=
+}